| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VTask Class Reference

`#include <AAX_VTask.h>`

Inheritance diagram for AAX_VTask:
[legend]
Collaboration diagram for AAX_VTask:
[legend]

## Description

Version-managed concrete AAX_ITask.

## Public Member Functions
| AAX_VTask (IACFUnknown *pUnknown)
| ~AAX_VTask () AAX_OVERRIDE
AAX_Result | GetType (AAX_CTypeID *oType) const AAX_OVERRIDE
AAX_IACFDataBuffer const * | GetArgumentOfType (AAX_CTypeID iType) const AAX_OVERRIDE
AAX_Result | SetProgress (float iProgress) AAX_OVERRIDE
float | GetProgress () const AAX_OVERRIDE
AAX_Result | AddResult (AAX_IACFDataBuffer const *iResult) AAX_OVERRIDE
| Attach result data to this task.
AAX_ITask * | SetDone (AAX_TaskCompletionStatus iStatus) AAX_OVERRIDE
| Inform the host that the task is completed.
Public Member Functions inherited from AAX_ITask
virtual | ~AAX_ITask ()=default
virtual AAX_Result | GetType (AAX_CTypeID *oType) const =0
virtual AAX_IACFDataBuffer const * | GetArgumentOfType (AAX_CTypeID iType) const =0
virtual AAX_Result | SetProgress (float iProgress)=0
virtual float | GetProgress () const =0
virtual AAX_Result | AddResult (AAX_IACFDataBuffer const *iResult)=0
| Attach result data to this task.
virtual AAX_ITask * | SetDone (AAX_TaskCompletionStatus iStatus)=0
| Inform the host that the task is completed.

## Constructor & Destructor Documentation

## ◆ AAX_VTask()

AAX_VTask::AAX_VTask | ( | IACFUnknown * | pUnknown | ) |
| explicit

## ◆ ~AAX_VTask()

AAX_VTask::~AAX_VTask | ( |  | ) |

## Member Function Documentation

## ◆ GetType()

AAX_Result AAX_VTask::GetType | ( | AAX_CTypeID * | oType | ) | const
| virtual

An identifier defining the type of the requested task

Parameters

  [out] | oType | The type of this task request

Implements AAX_ITask.

## ◆ GetArgumentOfType()

AAX_IACFDataBuffer const * AAX_VTask::GetArgumentOfType | ( | AAX_CTypeID | iType | ) | const
| virtual

Additional information defining the request, depending on the task type

Parameters

  [in] | iType | The type of argument requested. Possible argument types, if any, and the resulting data buffer format must be defined per task type.

Returns
  The requested argument data, or nullptr. This data buffer's type ID is expected to match `iType` . The caller takes ownership of this object.

Implements AAX_ITask.

## ◆ SetProgress()

AAX_Result AAX_VTask::SetProgress | ( | float | iProgress | ) |
| virtual

Inform the host about the current status of the task

Parameters

  [in] | iProgress | A value between 0 (no progress) and 1 (complete)

Implements AAX_ITask.

## ◆ GetProgress()

float AAX_VTask::GetProgress | ( |  | ) | const
| virtual

Returns the current progress

Implements AAX_ITask.

## ◆ AddResult()

AAX_Result AAX_VTask::AddResult | ( | AAX_IACFDataBuffer const * | iResult | ) |
| virtual

Attach result data to this task.

This can be called multiple times to add multiple types of results to a single task.

The host may process the result data immediately or may wait for the task to complete.

The plug-in is expected to release the data buffer upon making this call. At a minimum, the data buffer must not be changed after this call is made. See `ACFPtr::inArg()`

Parameters

  [in] | iResult | A buffer containing the result data. Expected result types, if any, and their data buffer format must be defined per task type.

Implements AAX_ITask.

## ◆ SetDone()

AAX_ITask * AAX_VTask::SetDone | ( | AAX_TaskCompletionStatus | iStatus | ) |
| virtual

Inform the host that the task is completed.

If successful, returns a null pointer. Otherwise, returns a pointer back to the same object. This is the expected usage pattern:

// release the task on success, retain it on failure
myTask = myTask->SetDone(status);

Parameters

  [in] | iStatus | The final status of the task. This indicates to the host whether or not the task was performed as requested.

Implements AAX_ITask.

The documentation for this class was generated from the following file:

- AAX_VTask.h